Package com.google.gwt.aria.client

## Interface RadioRole

- All Superinterfaces:
    `CheckboxRole`, `InputRole`, `OptionRole`, `Role`, `WidgetRole`
  All Known Subinterfaces:
    `MenuitemradioRole`
  All Known Implementing Classes:
    `MenuitemradioRoleImpl`, `RadioRoleImpl`

      public interface RadioRole
      extends CheckboxRole, OptionRole

  A type that represents the radio role in the ARIA specification.
  See Also:
    `Role`, `Roles`

- - ### Method Summary

    - ### Methods inherited from interface com.google.gwt.aria.client.CheckboxRole

      `getAriaCheckedState, removeAriaCheckedState, setAriaCheckedState`

    - ### Methods inherited from interface com.google.gwt.aria.client.OptionRole

      `getAriaCheckedState, getAriaPosinsetProperty, getAriaSelectedState, getAriaSetsizeProperty, removeAriaCheckedState, removeAriaPosinsetProperty, removeAriaSelectedState, removeAriaSetsizeProperty, setAriaCheckedState, setAriaPosinsetProperty, setAriaSelectedState, setAriaSetsizeProperty`

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`